%define piname	iacfleet_pi

Name:		opencpn-iacfleet-plugin
Summary:	Plugin for OpenCpn for visualizing data in weather bulletins
Version:	0.9
Release:	%mkrel 2
License:	GPLv3+
Group:		Geography
URL:		https://github.com/nohal/%{piname}
# See opencpn spec for obtaining the versioned tarball.
Source0:	%{piname}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	bzip2-devel
BuildRequires:	gettext
BuildRequires:	wxgtku3.0-devel
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	tinyxml-devel

Requires:	opencpn
Provides:	%{piname} = %{version}

%description
IAC Fleet Code plugin for opencpn visualizes the encoded data issued as part of
the weather bulletins.
The IAC Fleet Code provides size effective encoded synoptic charts for several
areas of the world, especially useful with slow and limited connection to the
Internet.
Coverage areas:
    - South Pacific weather issued by Fiji Meteorologica Service in Nadi and
      available from Saildocs
    - Weather over Brazil and adjacent parts of Pacific and Atlantic oceans,
      including direct download of the data from the Internet
    - Weather analysis and 24 hour forecast for North Atlantic and Europe
      issued by NOAA, including direct download of the data from the Internet.

%prep
%setup -q -n %{piname}

%build
%cmake

%make_build

%install
%make_install -C build

%find_lang opencpn-%{piname}

%ifarch x86_64
mkdir -p %{buildroot}%{_libdir}/opencpn
mv %{buildroot}/usr/lib/opencpn/* %{buildroot}%{_libdir}/opencpn/
%endif

%files -f opencpn-%{piname}.lang
%dir %{_libdir}/opencpn
%{_libdir}/opencpn/lib%{piname}.so
%{_datadir}/opencpn/plugins/%{piname}/data/*


%changelog
* Sat Jun 03 2017 akien <akien> 0.9-2.mga6
+ Revision: 1106111
- Rebuild for wxgtk 3.0.3.1

* Mon Oct 10 2016 barjac <barjac> 0.9-1.mga6
+ Revision: 1059876
- new version 0.9
- fix files list

* Thu Jun 02 2016 daviddavid <daviddavid> 0.8-4.mga6
+ Revision: 1019831
- rebuild for wxgtk3.0 built with GTK2

* Tue Feb 16 2016 barjac <barjac> 0.8-3.mga6
+ Revision: 962340
- changed buildrequire wxgtku3.0

* Tue Feb 16 2016 umeabot <umeabot> 0.8-2.mga6
+ Revision: 961931
- Mageia 6 Mass Rebuild

* Tue Dec 08 2015 barjac <barjac> 0.8-1.mga6
+ Revision: 908773
- new package opencpn-iacfleet-plugin

